//
//  AppDelegate.m
//  OpenApi
//
//  Created by 홍승욱 on 2015. 1. 19..
//  Copyright (c) 2015년 부산광역시. All rights reserved.
//

#import "AppDelegate.h"

@interface AppDelegate ()

- (void)goHome;

@end

@implementation AppDelegate

@synthesize loadingView = _loadingView;
@synthesize webContentViewCtrl = _webContentViewCtrl;
@synthesize naviCtrl = _naviCtrl;


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    // Override point for customization after application launch.
    self.window.backgroundColor = [UIColor whiteColor];
    
    //serverIP = @"http://mtour.gimhae.go.kr";
    //serverIP = @"http://192.168.174.16:8082/smvcex";
    //serverIP = @"http://211.220.63.109:8080/smvcex";
    serverIP = @"http://opendata.busan.go.kr/smvcex";
    _webContentViewCtrl = [[WebContentViewCtrl alloc] initWithURL:[NSString stringWithFormat:@"%@/Busan2", serverIP] withTitle:@""];
    _naviCtrl = [[UINavigationController alloc] initWithRootViewController:_webContentViewCtrl];
    [_naviCtrl setNavigationBarHidden:YES];
    [_window addSubview:_naviCtrl.view];
    
    _loadingView = [[LoadingView alloc] initWithFrame:CGRectMake((self.window.bounds.size.width-200)/2, (self.window.bounds.size.height-80)/2, 200, 80) withGoHomeBtnTarget:self withGoHomeBtnAction:@selector(goHome)];
    [_loadingView setHidden:YES];
    
    
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)goHome {
    [_webContentViewCtrl setContentUrl:[NSString stringWithFormat:@"%@/Busan2", serverIP]];
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
