<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport"
	content="initial-scale=1, width=device-width, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no">
<title>부산시 환경 정보</title>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script src="http://code.jquery.com/jquery-latest.min.js"></script>
<script type="text/javascript">
	google.load("visualization", "1", {
		packages : [ "corechart" ]
	});
</script>
<script>
	$(document).ready(function(){
		
		  for(var i=1;i<=4;i++) {
	    	  	if(i == 3) {
	  	    	  $("#menu" + i).css('border-bottom', 'solid 2px blue');
		    	  $("#menu" + i).css('height', '28px');
		    	  
	  	    	  $("#menu" + i + "_s").css('color', 'blue');
		    	  $("#menu" + i + "_s").css('font-weight', 'bolder');

	    	  	}
	    	  	else {
	    	      $("#menu" + i).css('border-bottom', 'solid 0px blue');
	    	      $("#menu" + i).css('height', '30px');
	    	      
	  	    	  $("#menu" + i + "_s").css('color', 'black');
		    	  $("#menu" + i + "_s").css('font-weight', 'bold');
	    	  	}
	    	  }
		  
		getData();
		
	});
	function getData() {
		
		var gubun = $('#selected').val();
		var num = $('#dong').val();
		var x=document.getElementById("dong");
		var rawarray = Array();
		var clean = Array();
		var dong_name =x.options[x.selectedIndex].text;

		if(dong_name != '공업용수') {
			$("#def_tb").show();
			$("#detail_div").show();
			$("#gy_tb").hide();
			//지도상의 동위치 색깔 위한 데이터
			$.ajax({
				url : './sudoXML',
				success : function(res) {
					var item = $(res).find('item');

// 					var html;
// 					html+="<tr>"+
// 						"<th colspan=3>원수</th>"+
// 						"</tr>"+
// 						"<tr><th>항목</th><th>기준</th><th>검사결과</th></tr>	<tr><td></td><td></td><td></td>"+
// 						"</tr>";
					$(item).each(function(){
						var day = $(this).find('dayW').text();
						
						if(day!='H'){
							var nm = $(this).find('inspIemNm1').text();
							if(nm == 'pH') {
								$("#OPHSV").html($(this).find('inspWqbs').text());
								if (dong_name == '덕산') 
									$("#OPHV").html($(this).find('dsPreph').text());
								else if (dong_name == '화명')
									$("#OPHV").html($(this).find('hmPreph').text());
								else if (dong_name == '명장')
									$("#OPHV").html($(this).find('mjPreph').text());
								else if (dong_name == '범어사')
									$("#OPHV").html($(this).find('bumPreph').text());
							}
							else if(nm == '탁도(NTU)') {
								$("#ONTUSV").html($(this).find('inspWqbs').text());
								if (dong_name == '덕산') 
									$("#ONTUV").html($(this).find('dsPreph').text());
								else if (dong_name == '화명')
									$("#ONTUV").html($(this).find('hmPreph').text());
								else if (dong_name == '명장')
									$("#ONTUV").html($(this).find('mjPreph').text());
								else if (dong_name == '범어사')
									$("#ONTUV").html($(this).find('bumPreph').text());
							}
							else if(nm == '암모니아성질소(mg/L)') {
								$("#OAZSV").html($(this).find('inspWqbs').text());
								if (dong_name == '덕산') 
									$("#OAZV").html($(this).find('dsPreph').text());
								else if (dong_name == '화명')
									$("#OAZV").html($(this).find('hmPreph').text());
								else if (dong_name == '명장')
									$("#OAZV").html($(this).find('mjPreph').text());
								else if (dong_name == '범어사')
									$("#OAZV").html($(this).find('bumPreph').text());
							}
							else if(nm == 'BOD(mg/L)') {
								$("#OBODSV").html($(this).find('inspWqbs').text());
								if (dong_name == '덕산') 
									$("#OBODV").html($(this).find('dsPreph').text());
								else if (dong_name == '화명')
									$("#OBODV").html($(this).find('hmPreph').text());
								else if (dong_name == '명장')
									$("#OBODV").html($(this).find('mjPreph').text());
								else if (dong_name == '범어사')
									$("#OBODV").html($(this).find('bumPreph').text());
							}
						}
					});
				},
			});
			
			$.ajax({
				url : './sudoRawXML',
				success : function(res) {
					var item = $(res).find('item');
					
					$(item).each(function(){
						var day = $(this).find('dayW').text();
						
						if(day!='H'){
							var nm = $(this).find('inspIemNm1').text();
							if(nm == 'pH') {
								$("#CPHSV").html($(this).find('inspWqbs').text());
								if (dong_name == '덕산') 
									$("#CPHV").html($(this).find('dsPostph').text());
								else if (dong_name == '화명')
									$("#CPHV").html($(this).find('hmPostph').text());
								else if (dong_name == '명장')
									$("#CPHV").html($(this).find('mjPostph').text());
								else if (dong_name == '범어사')
									$("#CPHV").html($(this).find('bumPostph').text());
							}
							else if(nm == '탁도(NTU)') {
								$("#CNTUSV").html($(this).find('inspWqbs').text());
								if (dong_name == '덕산') 
									$("#CNTUV").html($(this).find('dsPostph').text());
								else if (dong_name == '화명')
									$("#CNTUV").html($(this).find('hmPostph').text());
								else if (dong_name == '명장')
									$("#CNTUV").html($(this).find('mjPostph').text());
								else if (dong_name == '범어사')
									$("#CNTUV").html($(this).find('bumPostph').text());
							}
							else if(nm == '암모니아성질소(mg/L)') {
								$("#CAZSV").html($(this).find('inspWqbs').text());
								if (dong_name == '덕산') 
									$("#CAZV").html($(this).find('dsPostph').text());
								else if (dong_name == '화명')
									$("#CAZV").html($(this).find('hmPostph').text());
								else if (dong_name == '명장')
									$("#CAZV").html($(this).find('mjPostph').text());
								else if (dong_name == '범어사')
									$("#CAZV").html($(this).find('bumPostph').text());
							}
							else if(nm == '총트리할로메탄(mg/L)') {
								$("#CBODSV").html($(this).find('inspWqbs').text());
								if (dong_name == '덕산') 
									$("#CBODV").html($(this).find('dsPostph').text());
								else if (dong_name == '화명')
									$("#CBODV").html($(this).find('hmPostph').text());
								else if (dong_name == '명장')
									$("#CBODV").html($(this).find('mjPostph').text());
								else if (dong_name == '범어사')
									$("#CBODV").html($(this).find('bumPostph').text());
							}
						}						
					});
				},
			});
			
			
			$.ajax({
				url : './sudodetailXML',
				success : function(res) {
					var item = $(res).find('item');
					var html;
					html+="<tr><th style='width:30%;'>구분</th><th style='width:30%;'>시험항목</th><th>기준</th><th>검사결과</th></tr>";
					var gubun = num.substring(0,2)+"Value";		
					console.log(gubun);
					$(item).each(function(idx){
						console.log($(this).find(gubun).text());
						if($(this).find(gubun).text().trim() != ''){
							html+="<tr>";
							html+= "<td id='gp_" + idx + "'>"+$(this).find('cwGroupNm').text()+"</td>";
							html+="<td>"+$(this).find('inspIemNm1').text()+"</td>";
							html+="<td>"+$(this).find('inspWqbs').text()+"</td>";
							html+="<td>"+$(this).find(gubun).text()+"</td>";
							html+="</tr>";	
						}
					});
					$('#detail').html(html);
					$('#detail').rowspan(0);
				},
			});
		}
		else {
			$("#def_tb").hide();
			$("#detail_div").hide();
			$("#gy_tb").show();
			
			$.ajax({
				url : './sudoGYXML',
				success : function(res) {
					var item = $(res).find('item');
					
					$(item).each(function(){
						var nm = $(this).find('inspIemNm1').text();
						var ty = $(this).find('gubun').text();
						if (ty == '원수수질')  ty = "O";
						else ty = "C";
						if(nm == 'pH') {
							$("#" + ty + "1SV").html($(this).find('inspWqbs').text());
							$("#" + ty + "1V").html($(this).find('msmVal1').text());
						}	
						else if(nm == '탁도') {
							$("#" + ty + "2SV").html($(this).find('inspWqbs').text());
							$("#" + ty + "2V").html($(this).find('msmVal1').text());
						}	
						else if(nm == '알칼리도') {
							$("#" + ty + "3SV").html($(this).find('inspWqbs').text());
							$("#" + ty + "3V").html($(this).find('msmVal1').text());
						}
						else if(nm == '염소이온') {
							$("#" + ty + "4SV").html($(this).find('inspWqbs').text());
							$("#" + ty + "4V").html($(this).find('msmVal1').text());
						}
						else if(nm == '경도') {
							$("#" + ty + "5SV").html($(this).find('inspWqbs').text());
							$("#" + ty + "5V").html($(this).find('msmVal1').text());
						}
						else if(nm == '전기전도도') {
							$("#" + ty + "6SV").html($(this).find('inspWqbs').text());
							$("#" + ty + "6V").html($(this).find('msmVal1').text());
						}
					});
				},
			});
		}
		$('#dong1').html(dong_name);
		$('#dong2').html(dong_name);
						
	}
	
	 $.fn.rowspan = function(colIdx, isStats) {       
	     return this.each(function(){      
	         var that;     
	         $('tr', this).each(function(row) {      
	             $('td:eq('+colIdx+')', this).filter(':visible').each(function(col) {
	                  
	                 if ($(this).html() == $(that).html()
	                     && (!isStats 
	                             || isStats && $(this).prev().html() == $(that).prev().html()
	                             )
	                     ) {            
	                     rowspan = $(that).attr("rowspan") || 1;
	                     rowspan = Number(rowspan)+1;
	  
	                     $(that).attr("rowspan",rowspan);
	                      
	                     // do your action for the colspan cell here            
	                     $(this).hide();
	                      
	                     //$(this).remove(); 
	                     // do your action for the old cell here
	                      
	                 } else {            
	                     that = this;         
	                 }          
	                  
	                 // set the that if not already set
	                 that = (that == null) ? this : that;      
	             });     
	         });    
	     });  
	 }; 

</script>
<style>
@import url(http://fonts.googleapis.com/earlyaccess/nanumgothic.css);
* {margin: 0;	padding: 0; font-family: 'Nanum Gothic', serif;}
.obj{position: relative; float:left; width:6px; height:6px; border:2px solid white; background: black;box-shadow: 5px 5px 5px #a9a9a9;}
.obj2{position:relative;top:2px;margin-right:3px; display:inline-block; width:10px; height:10px;}
.obj3{display: inline-block;}
#dong1{color: #798FDA; font-weight: bold;}
#dong2{color: #798FDA; font-weight: bold;}
.tab{width: 100%; border-collapse: collapse;}
.tab th{color:#515151; text-align: center; padding-left: 1%; padding-right:1%; padding-top:10px; padding-bottom: 10px; border: 1px solid #D6D6D6; background: #EBEBEB;}
.tab td{padding-left:1%; padding-right:1%; border: 1px solid #D6D6D6;}
.tab tr:FIRST-CHILD { border-top: 2px solid blue !important;}
.tab2{width: 100%; border-collapse: collapse;}
.tab2 td{padding-left:10px; border: 1px solid #D6D6D6; padding-top: 10px; padding-bottom: 10px; font-weight: bold;padding-right: 5px;}
.tab2 tr:FIRST-CHILD { border-top: 2px solid blue !important;}
ul{ background:#DBDBDB;padding-top: 10px; padding-bottom: 10px;}
ul li{display: inline-block; width: 23%; text-align: center;}
ul li a{color: black; text-decoration: none; font-weight: bold; font-size: 15px; }
</style>
</head>
<body>
<jsp:include page="top.jsp"></jsp:include>
	<div>
		<div style="margin-left: 2%; margin-top: 20px;">
		<select id="dong" style="padding: 5px 0px 5px 5px; background: white; width:70%;">
			<option value="dsPreph">덕산</option>
			<option value="hmPreph">화명</option>
			<option value="mjPreph">명장</option>
			<option value="bumPreph">범어사</option>
			<option value="gyValue">공업용수</option>
		</select>
		<input type="button" onclick="getData()" value="검색" style="color: white;font-weight: bold; padding: 6px 10px 6px 10px; background: blue; border: 0px;">
		</div>
	</div>
	<div style="text-align: center;">
		<div style="padding-left: 2%; font-size: 12px;">
			<div style="font-size: 20px; font-weight: bold; padding-top: 15px; padding-bottom: 15px;float:left;">
				<span id="gubun">수질(</span><span id="dong1">덕산</span><span id="gubun"> 정수장 기준)</br></span>
			</div>
			<table class="tab" id="def_tb" style="width: 98%; float: clean;">
				<tr>
					<th colspan="3" style="width:50%;">원수</th>
					<th colspan="3">정수</th>	
				</tr>
				<tr>
					<th style="width:20%">항목</th>
					<th>기준</th>
					<th>검사결과</th>
					<th style="width:20%">항목</th>
					<th>기준</th>
					<th>검사결과</th>
				</tr>
				<tr>
					<td id='OPH'>pH</td>
					<td id='OPHSV'></td>
					<td id='OPHV'></td>
					<td id='CPH'>pH</td>
					<td id='CPHSV'></td>
					<td id='CPHV'></td>
				</tr>
				<tr>
					<td id='ONTU'>탁도(NTU)</td>
					<td id='ONTUSV'></td>
					<td id='ONTUV'></td>
					<td id='CNTU'>탁도(NTU)</td>
					<td id='CNTUSV'></td>
					<td id='CNTUV'></td>
				</tr>
				<tr>
					<td id='OAZ'>암모니아성질소(mg/L)</td>
					<td id='OAZSV'></td>
					<td id='OAZV'></td>
					<td id='CAZ'>암모니아성질소(mg/L)</td>
					<td id='CAZSV'></td>
					<td id='CAZV'></td>
				</tr>
				<tr>
					<td id='OBOD'>BOD(mg/L)</td>
					<td id='OBODSV'></td>
					<td id='OBODV'></td>
					<td id='CBOD'>총트리할로메탄(mg/L)</td>
					<td id='CBODSV'></td>
					<td id='CBODV'></td>
				</tr>
			</table>
			
			<table class="tab" id="gy_tb" style="width: 98%; float: clean;">
				<tr>
					<th colspan="3" style="width:50%;">원수</th>
					<th colspan="3">정수</th>	
				</tr>
				<tr>
					<th style="width:20%">항목</th>
					<th>기준</th>
					<th>검사결과</th>
					<th style="width:20%">항목</th>
					<th>기준</th>
					<th>검사결과</th>
				</tr>
				<tr>
					<td id='O1'>pH</td>
					<td id='O1SV'></td>
					<td id='O1V'></td>
					<td id='C1'>pH</td>
					<td id='C1SV'></td>
					<td id='C1V'></td>
				</tr>
				<tr>
					<td id='O2'>탁도</td>
					<td id='O2SV'></td>
					<td id='O2V'></td>
					<td id='C2'>탁도</td>
					<td id='C2SV'></td>
					<td id='C2V'></td>
				</tr>
				<tr>
					<td id='O3'>알카리도</td>
					<td id='O3SV'></td>
					<td id='O3V'></td>
					<td id='C3'>알카리도</td>
					<td id='C3SV'></td>
					<td id='C3V'></td>
				</tr>
				<tr>
					<td id='O4'>염소이온</td>
					<td id='O4SV'></td>
					<td id='O4V'></td>
					<td id='C4'>염소이온</td>
					<td id='C4SV'></td>
					<td id='C4V'></td>
				</tr>
				<tr>
					<td id='O5'>경도</td>
					<td id='O5SV'></td>
					<td id='O5V'></td>
					<td id='C5'>경도</td>
					<td id='C5SV'></td>
					<td id='C5V'></td>
				</tr>
				<tr>
					<td id='O6'>전기전도도</td>
					<td id='O6SV'></td>
					<td id='O6V'></td>
					<td id='C6'>전기전도도</td>
					<td id='C6SV'></td>
					<td id='C6V'></td>
				</tr>
			</table>
			
<!-- 			<table id="waterQual" class="tab" style="width: 40%; float: left;"> -->

<!-- 			</table> -->
<!-- 			<table id="cleanQual" class="tab" style="width: 40%"> -->

<!-- 			</table> -->
		</div>
	</div>
	<div id="detail_div" style="margin-bottom: 20px; margin-left: 2%; margin-right: 2%; font-size: 12px;">
		<div style="font-size: 20px; font-weight: bold; padding-top: 15px; padding-bottom: 15px;">
			<span id="dong2"></span> <span id="gubun">정수 세부 항목</span>
		</div>
		<table class="tab" id="detail">
	
		</table>
	</div>
</body>
</html>